Skip to content

insertSupplier

WRITE

Insert supplier.

POST /api/v1/purchasing/insertSupplier
curl -X POST '<your-host>/api/v1/purchasing/insertSupplier' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string"
  }'
Response
{
  "accountManagerId": "string",
  "assignee": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "currencyCode": "string",
  "customFields": "…",
  "defaultCc": [
    "string"
  ],
  "fax": "string",
  "id": "string",
  "intercompanyCompanyId": "string",
  "logo": "string",
  "name": "string",
  "phone": "string",
  "purchasingContactId": "string",
  "readableId": "string",
  "supplierStatus": "Pending",
  "supplierTypeId": "string",
  "tags": [
    "string"
  ],
  "taxPercent": 0,
  "updatedAt": "string",
  "updatedBy": "string",
  "website": "string"
}

Parameters

ParameterType
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "readableId": {
      "type": "string"
    },
    "name": {
      "type": "string",
      "minLength": 1
    },
    "supplierStatus": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "Active",
            "Inactive",
            "Pending",
            "Rejected"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "supplierTypeId": {
      "type": "string"
    },
    "accountManagerId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "purchasingContactId": {
      "type": "string"
    },
    "website": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "name"
  ]
}